This job view page is being replaced by Spyglass soon. Check out the new job view.
ResultFAILURE
Tests 0 failed / 0 succeeded
Started2020-04-01 12:08
Elapsed6m48s
Revision
Builder67c03cf0-7411-11ea-901a-3a7046a79cdf
links{u'resultstore': {u'url': u'https://source.cloud.google.com/results/invocations/8222d08f-3acd-4446-86ac-3251fed45154/targets/test'}}
resultstorehttps://source.cloud.google.com/results/invocations/8222d08f-3acd-4446-86ac-3251fed45154/targets/test
infra-commit73284d45c

No Test Failures!


Error lines from build-log.txt

... skipping 14 lines ...
I0401 12:08:20.266] process 29 exited with code 0 after 0.0m
I0401 12:08:20.266] Will upload results to gs://kubernetes-jenkins/logs using triage@k8s-gubernator.iam.gserviceaccount.com
I0401 12:08:20.266] Root: /workspace
I0401 12:08:20.267] cd to /workspace
I0401 12:08:20.267] Configure environment...
I0401 12:08:20.267] Call:  git show -s --format=format:%ct HEAD
W0401 12:08:20.271] fatal: not a git repository (or any of the parent directories): .git
I0401 12:08:20.272] process 42 exited with code 128 after 0.0m
W0401 12:08:20.272] Unable to print commit date for HEAD
I0401 12:08:20.272] Call:  gcloud auth activate-service-account --key-file=/etc/service-account/service-account.json
W0401 12:08:20.769] Activated service account credentials for: [triage@k8s-gubernator.iam.gserviceaccount.com]
I0401 12:08:21.463] process 43 exited with code 0 after 0.0m
I0401 12:08:21.463] Call:  gcloud config get-value account
I0401 12:08:22.336] process 56 exited with code 0 after 0.0m
I0401 12:08:22.337] Will upload results to gs://kubernetes-jenkins/logs using triage@k8s-gubernator.iam.gserviceaccount.com
I0401 12:08:22.337] Start 1245322021584244736 at ...
I0401 12:08:22.340] Call:  gsutil -q -h Content-Type:application/json cp /tmp/gsutil_QLwPDZ gs://kubernetes-jenkins/logs/metrics-kettle/1245322021584244736/started.json
I0401 12:08:25.159] process 69 exited with code 0 after 0.0m
I0401 12:08:25.160] Call:  /workspace/./test-infra/jenkins/../scenarios/execute.py test-infra/kettle/monitor.py -- --stale=6 --table k8s-gubernator:build.all k8s-gubernator:build.week k8s-gubernator:build.day
W0401 12:08:25.189] Run: ('test-infra/kettle/monitor.py', '--stale=6', '--table', 'k8s-gubernator:build.all', 'k8s-gubernator:build.week', 'k8s-gubernator:build.day')
I0401 12:14:59.300] ERROR: table k8s-gubernator:build.all is 29.2 hours old. Max allowed: 6 hours.
I0401 12:14:59.300] ERROR: table k8s-gubernator:build.week is 29.4 hours old. Max allowed: 6 hours.
I0401 12:14:59.301] ERROR: table k8s-gubernator:build.day is 28.9 hours old. Max allowed: 6 hours.
I0401 12:14:59.301] Collected data:
I0401 12:14:59.301] bigquery,db=k8s-gubernator:build.all modified_time=1585637957838i,row_count=15600237i,size_bytes=324156741220i
I0401 12:14:59.301] bigquery,db=k8s-gubernator:build.week modified_time=1585637111949i,row_count=96169i,size_bytes=4542246879i
I0401 12:14:59.302] bigquery,db=k8s-gubernator:build.day modified_time=1585638874894i,row_count=20413i,size_bytes=735920500i
I0401 12:14:59.302] 
W0401 12:14:59.373] Traceback (most recent call last):
... skipping 22 lines ...
W0401 12:14:59.376]     self.send(msg)
W0401 12:14:59.376]   File "/usr/lib/python3.6/http/client.py", line 974, in send
W0401 12:14:59.376]     self.connect()
W0401 12:14:59.376]   File "/usr/local/lib/python3.6/dist-packages/urllib3/connection.py", line 184, in connect
W0401 12:14:59.376]     conn = self._new_conn()
W0401 12:14:59.376]   File "/usr/local/lib/python3.6/dist-packages/urllib3/connection.py", line 169, in _new_conn
W0401 12:14:59.377]     self, "Failed to establish a new connection: %s" % e
W0401 12:14:59.377] urllib3.exceptions.NewConnectionError: <urllib3.connection.HTTPConnection object at 0x7f8316d52da0>: Failed to establish a new connection: [Errno 110] Connection timed out
W0401 12:14:59.377] 
W0401 12:14:59.377] During handling of the above exception, another exception occurred:
W0401 12:14:59.377] 
W0401 12:14:59.377] Traceback (most recent call last):
W0401 12:14:59.377]   File "/usr/local/lib/python3.6/dist-packages/requests/adapters.py", line 449, in send
W0401 12:14:59.377]     timeout=timeout
W0401 12:14:59.378]   File "/usr/local/lib/python3.6/dist-packages/urllib3/connectionpool.py", line 720, in urlopen
W0401 12:14:59.378]     method, url, error=e, _pool=self, _stacktrace=sys.exc_info()[2]
W0401 12:14:59.378]   File "/usr/local/lib/python3.6/dist-packages/urllib3/util/retry.py", line 436, in increment
W0401 12:14:59.378]     raise MaxRetryError(_pool, url, error or ResponseError(cause))
W0401 12:14:59.378] urllib3.exceptions.MaxRetryError: HTTPConnectionPool(host='velodrome.k8s.io', port=8181): Max retries exceeded with url: /write?db=metrics&precision=ms (Caused by NewConnectionError('<urllib3.connection.HTTPConnection object at 0x7f8316d52da0>: Failed to establish a new connection: [Errno 110] Connection timed out',))
W0401 12:14:59.378] 
W0401 12:14:59.379] During handling of the above exception, another exception occurred:
W0401 12:14:59.379] 
W0401 12:14:59.379] Traceback (most recent call last):
W0401 12:14:59.379]   File "test-infra/kettle/monitor.py", line 116, in <module>
W0401 12:14:59.379]     sys.exit(main(sys.argv[1:]))
... skipping 12 lines ...
W0401 12:14:59.380]   File "/usr/local/lib/python3.6/dist-packages/requests/sessions.py", line 533, in request
W0401 12:14:59.380]     resp = self.send(prep, **send_kwargs)
W0401 12:14:59.380]   File "/usr/local/lib/python3.6/dist-packages/requests/sessions.py", line 646, in send
W0401 12:14:59.380]     r = adapter.send(request, **kwargs)
W0401 12:14:59.381]   File "/usr/local/lib/python3.6/dist-packages/requests/adapters.py", line 516, in send
W0401 12:14:59.381]     raise ConnectionError(e, request=request)
W0401 12:14:59.381] requests.exceptions.ConnectionError: HTTPConnectionPool(host='velodrome.k8s.io', port=8181): Max retries exceeded with url: /write?db=metrics&precision=ms (Caused by NewConnectionError('<urllib3.connection.HTTPConnection object at 0x7f8316d52da0>: Failed to establish a new connection: [Errno 110] Connection timed out',))
W0401 12:14:59.381] Traceback (most recent call last):
W0401 12:14:59.381]   File "/workspace/./test-infra/jenkins/../scenarios/execute.py", line 50, in <module>
W0401 12:14:59.381]     main(ARGS.env, ARGS.cmd + ARGS.args)
W0401 12:14:59.381]   File "/workspace/./test-infra/jenkins/../scenarios/execute.py", line 41, in main
W0401 12:14:59.381]     check(*cmd)
W0401 12:14:59.382]   File "/workspace/./test-infra/jenkins/../scenarios/execute.py", line 30, in check
W0401 12:14:59.382]     subprocess.check_call(cmd)
W0401 12:14:59.382]   File "/usr/lib/python2.7/subprocess.py", line 190, in check_call
W0401 12:14:59.382]     raise CalledProcessError(retcode, cmd)
W0401 12:14:59.382] subprocess.CalledProcessError: Command '('test-infra/kettle/monitor.py', '--stale=6', '--table', 'k8s-gubernator:build.all', 'k8s-gubernator:build.week', 'k8s-gubernator:build.day')' returned non-zero exit status 1
E0401 12:14:59.382] Command failed
I0401 12:14:59.382] process 251 exited with code 1 after 6.6m
E0401 12:14:59.382] FAIL: metrics-kettle
I0401 12:14:59.383] Call:  gcloud auth activate-service-account --key-file=/etc/service-account/service-account.json
W0401 12:14:59.859] Activated service account credentials for: [triage@k8s-gubernator.iam.gserviceaccount.com]
I0401 12:15:00.482] process 255 exited with code 0 after 0.0m
I0401 12:15:00.482] Call:  gcloud config get-value account
I0401 12:15:01.381] process 267 exited with code 0 after 0.0m
I0401 12:15:01.382] Will upload results to gs://kubernetes-jenkins/logs using triage@k8s-gubernator.iam.gserviceaccount.com
I0401 12:15:01.382] Upload result and artifacts...
I0401 12:15:01.382] Gubernator results at https://gubernator.k8s.io/build/kubernetes-jenkins/logs/metrics-kettle/1245322021584244736
W0401 12:15:01.382] Missing local artifacts : /workspace/_artifacts
W0401 12:15:01.382] metadata path /workspace/_artifacts/metadata.json does not exist
W0401 12:15:01.383] metadata not found or invalid, init with empty metadata
I0401 12:15:01.383] Call:  git rev-parse HEAD
W0401 12:15:01.387] fatal: not a git repository (or any of the parent directories): .git
E0401 12:15:01.387] Command failed
I0401 12:15:01.387] process 280 exited with code 128 after 0.0m
I0401 12:15:01.388] Call:  git rev-parse HEAD
I0401 12:15:01.393] process 281 exited with code 0 after 0.0m
I0401 12:15:01.394] Call:  gsutil stat gs://kubernetes-jenkins/logs/metrics-kettle/jobResultsCache.json
I0401 12:15:02.902] process 282 exited with code 0 after 0.0m
I0401 12:15:02.903] Call:  gsutil -q cat 'gs://kubernetes-jenkins/logs/metrics-kettle/jobResultsCache.json#1585739648308724'
... skipping 8 lines ...